1.1
1.1
get /v1/data-flows
Description
get dataflow list console v1.1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | cluster_name optional | cluster_name Example : | string | None |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | version optional | version Example : | string | None |
| query | size optional | size Example : 20 | integer | None |
| query | page optional | page Example : 0 | integer | None |
| query | cluster_id optional | cluster_id Example : | string | None |
| query | data_flow_name optional | data_flow_name Example : | string | None |
| query | region optional | region Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataFlowsConsoleResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:41:26.053Z",
"data_flow_id": "",
"data_flow_name": "",
"image_id": "",
"instance_id": "",
"is_active_image": "",
"modified_by": "",
"modified_dt": "2026-02-11T06:41:26.060Z",
"namespace_name": "",
"state": "",
"version": ""
}
],
"total_count": ""
}